- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# Animation Nodes

## Functions
Lib3dsNode * | lib3ds_node_new_ambient ()
Lib3dsNode * | lib3ds_node_new_object ()
Lib3dsNode * | lib3ds_node_new_camera ()
Lib3dsNode * | lib3ds_node_new_target ()
Lib3dsNode * | lib3ds_node_new_light ()
Lib3dsNode * | lib3ds_node_new_spot ()
void | lib3ds_node_free (Lib3dsNode *node)
void | lib3ds_node_eval (Lib3dsNode *node, Lib3dsFloat t)
Lib3dsNode * | lib3ds_node_by_name (Lib3dsNode *node, const char *name, Lib3dsNodeTypes type)
Lib3dsNode * | lib3ds_node_by_id (Lib3dsNode *node, Lib3dsWord node_id)
void | lib3ds_node_dump (Lib3dsNode *node, Lib3dsIntd level)
Lib3dsBool | lib3ds_node_read (Lib3dsNode *node, Lib3dsFile *, FILE *f)
Lib3dsBool | lib3ds_node_write (Lib3dsNode *node, Lib3dsFile *file, FILE *f)

## Detailed Description

Author:
  J.E. Hoffmann <je-h@gmx.net>

## Function Documentation

Lib3dsNode* lib3ds_node_by_id | ( | Lib3dsNode * | node,
|  | Lib3dsWord | node_id
| ) |

Lib3dsNode* lib3ds_node_by_name | ( | Lib3dsNode * | node,
|  | const char * | name,
|  | Lib3dsNodeTypes | type
| ) |

void lib3ds_node_dump | ( | Lib3dsNode * | node,
|  | Lib3dsIntd | level
| ) |

void lib3ds_node_eval | ( | Lib3dsNode * | node,
|  | Lib3dsFloat | t
| ) |

void lib3ds_node_free | ( | Lib3dsNode * | node | ) |

Lib3dsNode* lib3ds_node_new_ambient | ( |  | ) |

Lib3dsNode* lib3ds_node_new_camera | ( |  | ) |

Lib3dsNode* lib3ds_node_new_light | ( |  | ) |

Lib3dsNode* lib3ds_node_new_object | ( |  | ) |

Lib3dsNode* lib3ds_node_new_spot | ( |  | ) |

Lib3dsNode* lib3ds_node_new_target | ( |  | ) |

Lib3dsBool lib3ds_node_read | ( | Lib3dsNode * | node,
|  | Lib3dsFile * | ,
|  | FILE * | f
| ) |

Lib3dsBool lib3ds_node_write | ( | Lib3dsNode * | node,
|  | Lib3dsFile * | file,
|  | FILE * | f
| ) |